/*
STYLE.CSS organized with SMACSS. 
This is the default GLOBAL stylesheet. 
AVOID EDITING. 
Add custom CSS to the custom.css stylesheet located within each client's CSS folder.

Base
Layout
Module
State
Theme 
*/

/* ======== 
	Base 
=========== */
body {
	color: #000000;
	font-size: 1rem;
}

button,
button:visited {
	background-color: #000000;
	border: none;
	border-radius: 5px;
	color: #ffffff;
	margin-bottom: 15px;
	padding: 15px;
	text-align: center;
	width: 100%;
}
button:focus,
button:hover {
	background-color: #333333;
	color: #ffffff;
	text-decoration: none;
}

html {
  scroll-behavior: smooth;
}

input {
	background-color: #ffffff;
 	border: solid 1px #aab6bc;
	border-radius: 5px;
}
input[type=radio] {
	background-color: #ffffff;
	border: solid 1px #aab6bc;
	box-shadow: none;
}
input[type=email],
input[type=tel],
input[type=text] {
	width: 100%;
}
input[type=email],
input[type=month],
input[type=number],
input[type=tel],
input[type=text] {
    padding: 5px;
}
input[type=month] {
	width: auto;
}
input[type=number] {
	width: 90px;
}

label {
	display: block;
	margin: 15px 0 5px 0;
}

select {
	background-color: #ffffff;;
	border: solid 1px #aab6bc;
	border-radius: 5px;
	color: inherit;
	padding: 6.5px;
	width: 100%;
	-webkit-appearance: none;
  	-moz-appearance: none;
}

/* =========== 
	Layout 
============== */
.apple-pay-button {
	text-align: center;
}
.apple-pay-button a,
.apple-pay-button a:visited {
	background-color: #000000;
	border-radius: 5px;
	color: #ffffff;
	display: inline-block;
	font-weight: normal;
	margin-bottom: 30px;
	margin-top: 15px;
	padding-bottom: 15px;
	padding-top: 15px;
	text-decoration: none;
	width: 100%;
}
.apple-pay-button a:focus,
.apple-pay-button a:hover {
	background-color: #151515;
	color: #ffffff;
	font-weight: normal;
}
.apple-pay-or {
	color: #66737d;
	display: flex;
	flex-direction: row;
}
.apple-pay-or:before,
.apple-pay-or:after {
	border-bottom: 1px solid #aab6bc;
    content: "";
    flex: 1 1;
	margin: auto 15px;
}

.go-back,
.go-back:visited {
	background-color: transparent;
	color: #000000;
	padding: 0;
}
.go-back:hover,
.go-back:focus {
	background-color: transparent;
	color: #333333;
}

.payment-type {
	background-color: #f5f5f5;
	border-radius: 5px;
	margin: 15px 0;
	padding: 15px;
}

/* Scroll down begin */
#scrollButton {
	animation: downup 1s infinite;
	background-color: #000000;
	border-radius: 5px;
	color: #ffffff;
	cursor: pointer;
	font-size: 12px;
	padding: 8px;
	position: fixed;
	letter-spacing: 1px;
	line-height: 16px;
	right: 20px;
	text-align: center;
	text-decoration: none;
  	top: 20px;	
    transition: opacity 0.2s ease;
	z-index: 1;
}
#scrollButton:hover {
	background-color: #333333;
}
#scrollButton.hidden {
  	opacity: 0;
    pointer-events: none;
}
@media (min-width: 768px) {
	#scrollButton {
		display: none;
	}
}
@keyframes downup {
  0%, 100% { transform: translateY(0); }
  50% { transform: translateY(10px); }
}
/* Scroll down end */

.signed .default-signer {
	height: auto;
	margin-bottom: 15px;
	max-width: 190px;
}
.signed img {
	width: 100%;
}

/* Sticky donation options */
@media (min-width: 768px) {
	.sticky-form {
    	position: sticky;
        top: 20px; 
    }
}

#vimeo-overlay {
	cursor: pointer;
	inset: 0;
	position: absolute; 
	z-index: 10;
}
#vimeo-wrapper {
	position: relative;
}

#yt-overlay {
	align-items: center; 
	cursor: pointer;
	display: flex;
	inset: 0;  
	position: absolute; 
	justify-content: center;
	z-index: 10; 	
}
#yt-overlay span {
	background: rgba(0,0,0,0.3); 
	border-radius: 5px; 
	color: #ffffff; 
	padding: 5px 10px; 
	pointer-events: none; 
}
#yt-wrapper {
	position: relative;
}

/* ========== 
	Module 
============= */
.btn,
.btn:visited {
	background-color: #000000;
	border: none;
	border-radius: 5px;
	color: #ffffff;
	margin-bottom: 15px;
	padding: 15px;
	text-align: center;
	width: 100%;
}
@media (min-width: 768px) {
	.btn,
	.btn:visited {
		width: auto;
	}
}
.btn:focus,
.btn:hover {
	background-color: #333333;
	color: #ffffff;
	text-decoration: none;
}

@media print {
	
	/* ======== 
		Base 
	=========== */
	h1 {
		margin-top: 10px;
	}
	h1,
	h2 {
		font-size: 16px;
		margin-bottom: 0;
	}
	
	input,
	.payment-type,
	select {
		border: none !important;
		border-bottom: solid 2px #aab6bc !important;
		border-radius: 0 !important;
	}
	input[type=radio] {
		background-color: #ffffff;
		border: solid 2px #aab6bc;
	}
	
	label {
		margin: 10px 0 0 0;
	}
	
	p {
		font-size: 1rem;
	}
	
	/* ========== 
		Layout 
	============= */
	footer {
		display: none;
	}
	
	header {
		display: none;
	}
	
	main {
		font-size: 1rem;
	}
	main > .container {
		padding-bottom: 0;
		padding-top: 0;
	}
	
	.payment-type {
		background-color: transparent;
		border: none;
		border-bottom: none !important;
		margin: 15px 0 30px 0;
		padding: 0;
	}
	
	#printForm .col-sm-6:nth-child(1),
	#printForm .col-sm-6:nth-child(2) {
		float: left;
		position: relative;
		width: 50%;
	}
	#printForm .col-sm-3:nth-child(1),
	#printForm .col-sm-3:nth-child(2),
	#printForm .col-sm-3:nth-child(3),
	#printForm .col-sm-3:nth-child(4) {
		float: left;
		position: relative;
		width: 25%;
	}
	
	.tracking-number {
		text-align: right;
	}
	
	/* ========== 
		Module 
	============= */
	.red-text {
		color: #961a1d;
	}

	button {
		display: none;
	}
	@media (min-width: 768px) {
		button {
			width: auto;
		}
	}
}

@media screen {
	.tracking-number {
		display: none;
	}
}